# -*- coding: UTF-8 -*-
# Injection Wizard
# --An application for injecting traffic in WEP protected Wi-Fi networks--
# Version: 1.0
# Copyright (C) 2010 Fernando Pablo Romero Navarro <fernpromero@gmail.com>
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#

import logging

srvlogger=None

def init_server_logger():
    global srvlogger
    
    srvlogger=logging.getLogger("server")
    handler=logging.StreamHandler()    
    fmrt=logging.Formatter(
        "%(asctime)s %(levelname)-8s - '%(funcName)s(...)' en '%(module)s.py':"\
        " %(message)s", "%d/%m/%Y %H:%M:%S")
    handler.setFormatter(fmrt)
    srvlogger.addHandler(handler)
    srvlogger.setLevel(logging.DEBUG)
    