// Injection Wizard
// --An application for injecting traffic in WEP protected Wi-Fi networks--
// Version: 1.0
// Copyright (C) 2010 Fernando Pablo Romero Navarro <fernpromero@gmail.com>
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package cliente;

import java.awt.event.*;
import javax.swing.JOptionPane;
import java.io.IOException;
import java.util.ResourceBundle;



public class AcceptSt0Listener implements ActionListener{

    private MainWindow window=null;

    public AcceptSt0Listener(MainWindow window){
        this.window=window;
    }

    public void actionPerformed(ActionEvent evt){
        CommClient commcli=window.getCommClient();
        ResourceBundle bundle=window.getBundle();
        String err=null, msgerr=null;
        boolean msgsend=false;
        byte[] response=null;

        try{
            commcli.sendMsg(new byte[]{Msg.HELLO});
            msgsend=true;
            response=commcli.getResponse();
            if(response[1]==Msg.OK){
                window.nextStage();
            }else if(response[1]==Msg.NONE){
                err=bundle.getString("ERR");
                msgerr=bundle.getString("ERR_CONFIG");
                JOptionPane.showMessageDialog(window, msgerr, err,
                                              JOptionPane.ERROR_MESSAGE);
            }else if(response[1]==Msg.SERVER_ERROR)
                throw new IllegalStateException("Errorcode: "+response[2]);

        }catch(IOException io){
            io.printStackTrace(System.err);
            err=bundle.getString("ERR");
            msgerr=null;
            if(msgsend)
                msgerr=bundle.getString("ERR_NORESPONSE");
            else
                msgerr=bundle.getString("ERR_BREAKCONNECT");

            JOptionPane.showMessageDialog(window, msgerr, err,
                                          JOptionPane.ERROR_MESSAGE);
            
        }catch(IllegalStateException ile){
            ile.printStackTrace(System.err);
            err=bundle.getString("ERR");
            msgerr=bundle.getString("ERR_SERVER");            
            JOptionPane.showMessageDialog(window, msgerr, err,
                                          JOptionPane.ERROR_MESSAGE);
        }
    }
}
